Package org.apache.commons.imaging.formats.tiff

# Class TiffRasterStatistics

java.lang.Object
org.apache.commons.imaging.formats.tiff.TiffRasterStatistics

public class TiffRasterStatistics extends Object
Collects and stores a set of simple statistics from the input raster.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCountOfNulls()`
  Gets the count of the number of null samples in the collection.
  `int`
  `getCountOfSamples()`
  Gets the count of the number of non-null and non-excluded samples in the collection.
  `float`
  `getExcludedValue()`
  Gets the value that was set for exclusion, or a Float.NaN if not was set.
  `float`
  `getMaxValue()`
  Gets the maximum value found in the source data
  `float`
  `getMeanValue()`
  Gets the mean value for all sample values in the raster.
  `float`
  `getMinValue()`
  Gets the minimum value found in the source data
  `boolean`
  `isAnExcludedValueSet()`
  Indicates if a sample value was set to be deliberately excluded from the statistics.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getCountOfNulls

    public int getCountOfNulls()
    Gets the count of the number of null samples in the collection.
    Returns:
      the a positive number, potentially zero

  - ### getCountOfSamples

    public int getCountOfSamples()
    Gets the count of the number of non-null and non-excluded samples in the collection.
    Returns:
      the a positive number, potentially zero

  - ### getExcludedValue

    public float getExcludedValue()
    Gets the value that was set for exclusion, or a Float.NaN if not was set.
    Returns:
      the excluded value (if any).

  - ### getMaxValue

    public float getMaxValue()
    Gets the maximum value found in the source data
    Returns:
      the maximum value found in the source data

  - ### getMeanValue

    public float getMeanValue()
    Gets the mean value for all sample values in the raster. Null-data values and excluded values are not considered.
    Returns:
      the mean value of the samples

  - ### getMinValue

    public float getMinValue()
    Gets the minimum value found in the source data
    Returns:
      the minimum value found in the source data

  - ### isAnExcludedValueSet

    public boolean isAnExcludedValueSet()
    Indicates if a sample value was set to be deliberately excluded from the statistics.
    Returns:
      true if a value was set for exclusion; otherwise, false